Bug 159063 - Attach to process does not work
Attach to process does not work
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Egor Ushakov
issues@cnd
65fixes3-fixed
: REGRESSION
Depends on: 153473
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 14:46 UTC by Alexander Pepin
Modified: 2009-06-25 10:59 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2009-02-24 14:46:45 UTC
Steps to reproduce:
- create Quote sample
- clean and build it
- run the project from IDE
- open attach debugger dialog
- select 'quote' process and Quote project then press OK
Result: Error window appears with the following message "No executable specified in the project". After closing that
error window a new Information window with a message "String index out of range: 0" appears.
Comment 1 Alexander Pepin 2009-02-24 14:50:46 UTC
This regression appeared in 6.5 patch2 as well.
Comment 2 Egor Ushakov 2009-02-25 13:06:59 UTC
most likely fix for the issue 153473 broke it
Comment 3 Egor Ushakov 2009-02-26 10:10:57 UTC
fixed in the changeset:
http://hg.netbeans.org/main/rev/52474998414e
Comment 4 Alexander Pepin 2009-02-26 16:07:05 UTC
verified in build 200902260201 with provided ...-debugger-gdb.jar
Comment 5 Egor Ushakov 2009-02-27 16:49:05 UTC
integrated into release65_fixes with:
http://hg.netbeans.org/release65_fixes/rev/d023371dfec8


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo